document.addEventListener('DOMContentLoaded', function() {
  // Smooth scroll functionality
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Form submission handler
  const demoForm = document.getElementById('demoForm');
  if (demoForm) {
    demoForm.addEventListener('submit', function(e) {
      e.preventDefault();
      alert('Thank you for your interest! We will contact you shortly.');
      demoForm.reset();
    });
  }

  // Navbar scroll effect
  let lastScroll = 0;
  window.addEventListener('scroll', () => {
    const header = document.querySelector('.nav-header');
    const currentScroll = window.pageYOffset;

    if (currentScroll <= 0) {
      header.style.boxShadow = 'none';
    } else {
      header.style.boxShadow = '0 2px 10px rgba(0,0,0,0.1)';
    }

    lastScroll = currentScroll;
  });
});

// Function to scroll to demo section
function scrollToDemo() {
  document.querySelector('#demo').scrollIntoView({
    behavior: 'smooth'
  });
}
